FLOOR(3)

NAME
floor, floorf, floorl - round to largest integral value not greater than x

SYNOPSIS
#include <math.h>
double
floor(double x);
float
floorf(float x);
long double
floorl(long double x);

DESCRIPTION
The floor() function returns the largest integral value less than or equal to x. The floorf() function is a single precision version of floor(). The floorl() function is an extended precision version of floor().

SEE ALSO
abs(3), ceil(3), fabs(3), nextafter(3), rint(3)

STANDARDS
The floor() function conforms to ansiC.

HISTORY
A floor() function first appeared in AT&T UNIX.